body {
  margin: 0;
  font-family: Helvetica, Arial, sans-serif;
}

table {
  font-family: Helvetica, Arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border-bottom: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

.list-info{
  padding: 8px 12px 8px 8px;
  color: #aaaaaa;
}

#header{
  background: #606060;
  width: 100%;
}

#header .logo {
  display: flex;
  align-items: center;
  height: 46px;
}

#header-img{
  width: 40px;
  height: auto;
  object-fit: contain;
  padding-top: 4px;
}

@media only screen and (min-width: 500px){
  .search-container{
    background: #606060;
    text-align: center;
    width: 100%;
  }
  .underRed {
    color: black !important;
    text-decoration: underline dotted 2px red;
    text-decoration-skip-ink: none;
  }
}

@media only screen and (max-width: 500px) and (min-width: 200px){
  .search-container{
    background: #606060;
    width: 100%;
  }
  .underRed {
    color: black !important;
    text-decoration: underline dotted 2px red;
    text-decoration-skip-ink: none;
  }
}

.head-title{
  font-family: Helvetica, Arial, sans-serif;
  font-weight: 400;
  font-size: 26px;
  color: #7EAFC1;
  /*
  padding: 6px 0px 4px 6px;*/
  text-decoration: none;
}

.search-container .left{
  float: left;
  font-size: 22px;
  padding: 12px 4px;
}

.search-field {
  background: rgba(255, 255, 255, 0.4);
  border: none;
  border-radius: 50px;
  margin: 7px 0px 7px 0px;
  padding: 0 12px;
  width: 190px;
  height: 34px;
  font-family: Helvetica, Arial, sans-serif;
  font-weight: 400;
  font-size: 14px;
  outline: none;
  color: #fff;
  transition: width 0.5s;
  letter-spacing: 0.3px;
  -webkit-appearance: none;
}

.btn {
  background-color: #42a2b4;
  border: none;
  border-radius: 5px;
  color: white;
  font-size: 14px;
  margin: 7px 0px 7px 0px;
  padding: 10px 14px;
  cursor: pointer;
}

.btn:hover {
  background-color: #606060;
}

.btn:disabled,
.btn[disabled]{
  border: 1px solid #999999;
  background-color: #cccccc;
  color: #666666;
}

.loading {
  text-align: center;
  display: block;
}

.message {
  padding: 8px 6px 8px 6px;
}

.error-message {
  color: #9F6000;
  background-color: #FEEFB3;
}

.info-message {
  color: #00529B;
  background-color: #DDE5F8;
  font-size: 13px;
}

.success-message {
  color: #aaaaaa;
}

.fail-message {
  color: rgb(208,57,62);
  font-size: 13px;
}

.info-message-long{
  color: #00529B;
  background-color: #DDE5F8;
  font-size: 11px;
}

.results {
  padding: 0px 0px 5px 0px;
  overflow: hidden;
}

.results:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.define-edit{
 padding: 2px 4px 2px 6px;
 overflow: hidden;
}

.define-edit:after {
 display: block;
 clear: both;
 visibility: hidden;
}

ul.definition {
  list-style-type: none;
  margin: 0;
  padding: 6px;
}

.editable {
  display: table-cell;
  width: 90%;
  height: 40px;
  font-size: 14pt;
}

textarea.explanation {
  font-family: Helvetica, Arial, sans-serif;
  width: 70%;
  font-size: 14px;
}

.define-head {
  padding: 2px 4px 2px 6px;
  position: relative;
  background-color: #dddddd;
}

.define-wrapper {
  padding: 2px 4px 4px 6px;
  overflow:hidden;
  border-bottom: 1px solid #dddddd;
  font-size: 14px;
}

.define-wrapper:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.define-wrapper .left {
  top: 2px;
  width: 20%;
  max-width: 150px;
  position: relative;
  float: left;
}

.define-wrapper .right {
  width: 80%;
  position: relative;
  float: left;
}

.subtitles-head {
  padding: 2px 4px 2px 6px;
  position: relative;
  background-color: #dddddd;
}

.subtitles-wrapper {
  padding: 2px 4px 4px 6px;
  overflow: hidden;
  border-bottom: 1px solid #dddddd;
  font-size: 14px;
}

.subtitles-wrapper:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.subtitles-wrapper .left {
  top: 2px;
  width: 40%;
  min-width: 110px;
  position: relative;
  float: left;
}

.subtitles-wrapper .right {
  width: 55%;
  position: relative;
  float: left;
  padding-left: 8px;
}

.subtitles-wrapper .right span.gray {
  color: #aaaaaa;
  font-size: 12px;
}

.about {
  margin: 6px 20px 0px 20px;
  height: 30px;
  color: #cccccc;
}

.about .center{
  text-align: center;
}

.about a {
  text-decoration: none;
  color: #cccccc;
}

.about a:hover {
  color: #aaaaaa;
  text-decoration: underline;
}

.about .citation {
  color: #dddddd;
  font-style: underline;
  font-size: 12px;
}

#page-container {
  position: relative;
  min-height: 100vh;
}

#content-wrap {
  padding-bottom: 6rem;            /* Footer height */
}

#footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 6rem;            /* Footer height */
}

.title {
  padding: 20px;
}

.typo {
  color: red;
}

.editor-title {
  margin: 5px 0 0 20px;
  color: gray;
}

.editor-container {
  overflow: hidden;
  text-align: center;
}

.taskNavActive{
  background-color: #666;
  color: #fff !important;
}

.userNav a {
  cursor: pointer;
  color: #7EAFC1 !important;
}

@media only screen and (min-width: 1100px) {
  .taskNav {
    width: 6%;
    max-width: 90px;
    position: relative;
    float: left;
    margin: 3px;
    text-align: center;
  }
  .taskNav a{
    text-decoration: underline;
    color: #7EAFC1;
    cursor: pointer;
    font-size: 13px;
    padding: 2px;
  }

  .taskNav a:hover{
    color: #333;
  }

  #taskApp .editor-container .left {
    width: 36%;
  }

  .editor-container .left {
    width: 40%;
    max-width: 800px;
    position: relative;
    float: left;
  }

  .editor-container .right {
    width: 40%;
    position: relative;
    float: left;
  }

  .editor-container .center {
    width: 5%;
    min-width: 100px;
    position: relative;
    float: left;
    overflow: hidden;
    margin: 20px 0px 20px 0px;
  }

  .taskSuggestion {
    text-align: left;
    width: 50%;
    max-width: 600px;
    position: relative;
    float: left;
  }

  .modal-content{
    width: 36% !important;
  }

  .signup-container{
    width: 40% !important;
  }

  .div-editor .loading-icon {
    background-color: rgba(0, 0, 0, 0);
    background-image: url("/assets/images/loading.gif");
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: block;
    height: 90px;
    margin: auto;
    width: 130px;
  }

  .div-editor .loading-center {
    position: absolute;
    top: 45%;
    left: 0;
    right: 0;
    bottom: 45%;
    z-index: 100;
  }

  .underRed {
    color: black !important;
    border-bottom: none !important;
    text-decoration: underline dotted 2px red;
    text-decoration-skip-ink: none;
  }
}

@media only screen and (max-width: 1100px) and (min-width: 500px){
  .editor-container .left {
    min-height: 300px;
    width: 90%;
  }

  .editor-container .right {
    min-height: 300px;
    overflow: hidden;
    width: 90%;
  }

  .editor-container .center {
     margin: 0px 5px 10px 5px;
  }

  .modal-content{
    width: 70% !important;
  }

  .signup-container{
    width: 88% !important;
  }

  .div-editor .loading-icon {
    background-color: rgba(0, 0, 0, 0);
    background-image: url("/assets/images/loading.gif");
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: block;
    height: 90px;
    margin: 25% auto;
    position: relative;
    overflow: hidden;
    width: 130px;
  }

  .div-editor .loading-center {
    display: block;
    position: relative;
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    z-index: 4;
  }

  .underRed {
    color: black !important;
    border-bottom: none !important;
    text-decoration: underline dotted 2px red;
    text-decoration-skip-ink: none;
  }
}

@media only screen and (max-width: 500px) and (min-width: 200px){
  .editor-container .left {
    min-height: 250px;
    width: 80%;
  }

  .editor-container .right {
    min-height: 250px;
    overflow: hidden;
    width: 80%;
  }

  .editor-container .center {
    margin: 0px 5px 10px 5px;
  }

  .modal-content{
    width: 85% !important;
  }

  .signup-container{
    width: 88% !important;
  }

  .div-editor .loading-icon {
    background-color: rgba(0, 0, 0, 0);
    background-image: url("/assets/images/loading.gif");
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: block;
    height: 90px;
    margin: 25% auto;
    position: relative;
    overflow: hidden;
    width: 130px;
  }

  .div-editor .loading-center {
    display: block;
    position: relative;
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    z-index: 4;
  }
  .underRed {
    color: black !important;
    text-decoration: underline dotted 2px red;
    text-decoration-skip-ink: none;
  }
}

.editor-container .center button {
  overflow: hidden;
}

.editor {
  font-family: "Helvetica Neue",Arial,"Liberation Sans",FreeSans,sans-serif;
  font-size: 14px;
  min-width: 200px;
  margin: 0px 20px 10px 20px;
  resize: none;
  padding: 16px;
  min-height: 500px;
  overflow-y: scroll;
}

.editor:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.div-editor {
  font-size: 14px;
  margin: 0px 20px 10px 20px;
  padding: 16px;
  min-height: 500px;
  overflow: hidden;
  min-width: 200px;
  resize: none;
  display: inline-block;
  text-align: left;
  border: 1px solid #666666;
  z-index: 2;
}

.div-editor .span-typo {
  color: red;
  margin: 0.01em;
}

.tooltip {
  color: red;
  cursor: pointer;
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted red;
}

.orange {
  color: #F19619 !important; /*#FFA500  #9F6000*/
  border-bottom: 1px dotted #FFA500 !important;
}

.orangeBgnd {
  background-color: rgb(144, 228, 253, 0.4) !important; /*rgba(255, 213, 152, 0.7) #FEEFB3*/
  color: #000 !important;
  border-bottom: none !important;
}

.brown {
  font-weight: 350;
  color: #F19619 !important;
  border-bottom: 1px dotted #FFA500 !important;
}

.green {
  color: #6CBB27 !important;
}
/*
.underRed {
  color: black !important;
  border-bottom: none !important;
  text-decoration: underline dotted 2px red;
  text-decoration-skip-ink: none;
}*/

.arrow,
.arrow::before {
  position: absolute;
  width: 8px;
  height: 8px;
  z-index: -1;
}

.arrow::before {
  content: '';
  transform: rotate(45deg);
  background: #6CBB27;
}

.tooltiptext[data-popper-placement^='top'] > .arrow {
  bottom: -4px;
}

.tooltiptext[data-popper-placement^='bottom'] > .arrow {
  top: -4px;
}

.tooltiptext[data-popper-placement^='left'] > .arrow {
  right: -4px;
}

.tooltiptext[data-popper-placement^='right'] > .arrow {
  left: -4px;
}

.tooltiptext {
  background: #6CBB27;
  color: white;
  padding: 4px 8px;
  font-size: 14px;
  border-radius: 4px;
  z-index: 100;
  display: none;
}

.tooltiptext[data-show] {
  display: block;
}

mark {
  background-color: yellow;
  color: black;
}

.topnav {
  overflow: hidden;/*
  position: relative;*/
}

.topnav #myLinks {
  display: none;
  position: absolute;
  width: 100%;
  right: 0px;
  top: 46px;
}

.topnav #myLangs {
  position: absolute;
  top: 0px;
  right: 54px;
}

.topnav .lang {
  color: white;
  background-color: #999999;
  display: flex;
  align-items: center;
  height: 46px;
}

.topnav .lang a{
  color: white;
  text-decoration: none;
  font-size: 14px;
  display: block;
  text-align: right;
  padding: 5px 12px 5px 8px;
}

.topnav .lang a:hover {
  cursor: pointer;
  text-decoration: underline;
}

.topnav .link {
  color: white;
  padding: 6px 20px;
  text-decoration: none;
  background-color: #bbb;
  font-size: 16px;
  display: block;
  text-align: right;
}

.topnav .link a{
  color: white;
  text-decoration: none;
  background-color: #bbb;
  font-size: 16px;
}

.topnav .menu-icon {
  background: black;
  position: absolute;
  top: 0px;
  right: 0px;
  height: 46px;
  display: flex;
  align-items: center;
}

.topnav a.icon {
  background: black;
  display: block;
}

.topnav .small {
  padding: 15px 17px !important;
}

.topnav .link a:hover {
  color: black;
}

.ads-banner-wrapper {
  position: relative;
  text-align: center;
}

.ads-banner-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  width: 100%;
}

/* The Modal (background) */
.modal {
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  z-index: 4;
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  position: relative;
  overflow: hidden;
}

.modal-content .buttonContainer{
  position: relative;
  float: left;
  width: 100%;
}

.modal-content .image {
  background-image: url("/assets/images/logo.png");
  position: relative;
  float: left;
  min-height: 180px;
  width: 20%;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-size: contain;
}

.modal-content .description{
  float: left;
  width: 60%;
  padding: 18px 18px;
  min-height: 180px;
  color: #42a2b4;
  text-align: center;
}

.modal-content .description .small {
  font-size: 10px;
}

.modal-content .description .medium {
  font-size: 12px;
}

.loading-icon {
  background-color: rgba(0, 0, 0, 0);
  background-image: url("/assets/images/loading-1.gif");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  display: block;
  height: 50px;
  margin: auto;
  width: 50px;
}

.account-signup{
  display: block;
  position: fixed; /* Stay in place */
  padding: 8px 0px;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  z-index: 4;
}

.signup-container {
  background-color: #fefefe;
  margin: 3% auto;
  padding: 10px 10px;
  border: 1px solid #888;
  max-width: 480px;
  position: relative;
  overflow: hidden;
}

.signup-title {
  padding: 0px 10px;
  color: gray;
}

.signup-edit{
  padding: 0px 10px 10px 10px;
  overflow: hidden;
}

.signup-edit:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.signup-wrapper {
  position: relative;
  padding: 4px 0px 4px 0px;
  margin: 0px;
  font-size: 14px;
}

.signup-button-container{
  margin: 4px 0px;
  text-align: left;
  overflow: hidden;
}

.center{
  text-align: center !important;
}

.input-group {
  position: relative;
  display: table;
  width: 100%;
  border-collapse: separate;
}

.input-group .form-control {
  position: relative;
  z-index: 2;
  float: left;
  width: 96%;
  margin-bottom: 0;
}

.input-group .form-control {
  display: table-cell;
}

.form-control {
  display: block;
  width: 100%;
  height: 34px;
  padding: 4px 8px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.has-error .form-control {
  border-color: #a94442 !important;
  webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
}

.has-success .form-control {
  border-color: #3c763d;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
}

.input-group .form-control:focus {
  z-index: 3;
}

.has-error .form-control:focus {
  border-color: #843534 !important;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 6px #ce8483;
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 6px #ce8483;
}

.has-success .form-control:focus {
  border-color: #2b542c;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 6px #67b168;
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 6px #67b168;
}

.visibility {
  all: unset;
  background: whitesmoke;
  display: inline-block;
  color: #42a2b4;
  padding: 2px .4em 0;
  position: absolute;
  top: 22%;
  right: 1%;
  z-index: 100;
}

.hints {
  padding: 0.5em;
  background: whitesmoke;
  margin: 4px 0px;
  font-size: .9em;
  color: rgb(208,57,62);
}

.title-text {
  color: gray;
  font-size: 14px;
}

.actionLink {
  color: #42a2b4;
  font-size: 13px;
  padding: 8px 0px 8px 8px;
  cursor: pointer;
  text-decoration: none;
}

.actionLink:hover {
  color: #000000;
}

.actionLinkRight {
  color: #42a2b4;
  font-size: 13px;
  padding: 8px 0px 8px 0px;
  cursor: pointer;
  position: absolute;
  right: 1%;
  z-index: 100;
}

.actionLinkRight:hover {
  color: #000000;
}

.fb {
  background-color:#4267B2;
}

.account-subscription{
  display: block;
  position: absolute;
  padding: 8px 0px;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  z-index: 4;
}

.subscription-container {
  background-color: #fefefe;
  margin: 3% auto;
  padding: 10px 10px;
  border: 1px solid #888;
  max-width: 480px;
  position: relative;
  overflow: hidden;
}

.subscription-title {
  padding: 0px 10px;
  color: gray;
}

.subscription-edit{
  padding: 0px 10px 10px 10px;
  overflow: hidden;
}

.subscription-edit:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.subscription-wrapper {
  position: relative;
  padding: 2px 0px 2px 0px;
  margin: 0px;
  font-size: 14px;
}

.subscription-settings {
  color: dimgrey;
}

.subscription-edit .description{
  color: #42a2b4;
}

.subscription-button-container{
  margin: 4px 0px;
  text-align: left;
  overflow: hidden;
}

.subscription-card-container{
  margin: 20px 0px 20px 0px;
  overflow: hidden;
}

#subscription-cancelled {
  --text-opacity: 1;
  color: #ed5f74;
  color: rgba(237, 95, 116, var(--text-opacity));
}

#subscription-notification {
  --text-opacity: 1;
  color: #E2582B;
  margin: 5px 0px 5px 0px;
}

.hidden {
  display: none;
}

#card-element-errors {
  font-size: 12px;
  color: #4a5568;
}

.plan-description {
  position: relative;
  overflow: hidden;
  color: #42a2b4;
  text-align: center;
}

.plan-description .small {
  font-size: 10px;
}

.plan-description .medium {
  font-size: 12px;
}

.tier-labl {
  text-align: center;
  display : block;
}

.tier-labl > input {
  visibility: hidden;
  position: absolute;
}

.tier-labl > input + div {
  cursor:pointer;
  margin-bottom: 5px;
  background: linear-gradient(rgba(255,255,255,.15),rgba(68,170,200,.15));
  border: 1px solid #E3E7EF;
  border-radius: 3px;
}

.tier-labl > input:checked + div {
  border: 3px solid #5D8A9C;
}

.api-container {
  background-color: #fefefe;
  margin: 20px;
  padding: 10px 10px;
  border: 1px solid #888;
  max-width: 720px;
  position: relative;
  overflow: hidden;
}

.api-title {
  font-size: 14px;
  font-weight: bold;
  color: gray;
}

.api-subtitle {
  font-size: 12px;
  font-weight: bold;
  color: gray;
}

.api-desc {
  font-size: 11px;
  color: gray;
}

.api-edit{
  padding: 0px 10px 10px 10px;
  overflow: hidden;
}

.api-edit:after {
  display: block;
  clear: both;
  visibility: hidden;
}

.api-wrapper {
  position: relative;
  padding: 4px 0px 4px 0px;
  margin: 0px;
  font-size: 14px;
}

.api-button-container{
  margin: 4px 0px;
  text-align: left;
  overflow: hidden;
}

.api-json {
  word-wrap: break-word;
  overflow: auto;
  overflow-y: hidden;
}

.api-editor {
  font-family: "Helvetica Neue",Arial,"Liberation Sans",FreeSans,sans-serif;
  font-size: 14px;
  resize: none;
  padding: 10px;
  min-height: 45px;
}

.api-parameter {
  font-size: 14px;
  font-weight: bold;
}

.api-parameter-desc {
  font-size: 13px;
}

.api-parameter-wrapper {
  position: relative;
  padding: 4px 0px 4px 20px;
  margin: 0px;
  font-size: 14px;
}



.close-container {
  display: flex;
  align-items: center;
  position: relative;
  float: right;
}

.close-button {
  background-color: #eeeeee;
  display: block;
  width: 25px;
  height: 25px;
  text-align: center;
  border-radius: 5px;
  color: #aaaaaa;
  font-size: 22px;
  line-height: 25px;
  text-decoration: none;
}

.close-button:hover,
.close-button:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.tab {
  overflow: hidden;
  background-color: #f1f1f1;
  white-space: normal;
  -moz-border-radius: 0px;
  -webkit-border-radius: 8px 8px 0px 0px;
  border-radius: 8px 8px 0px 0px;
}

.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  -moz-border-radius: 0px;
  -webkit-border-radius: 8px 8px 0px 0px;
  border-radius: 8px 8px 0px 0px;
}

.tab button:hover {
  background-color: #ddd;
}

.tab button.active {
  background-color: #ccc;
}

.tabcontent .active {
  display: block;
}